#ifndef QHTTPREQUEST_COMPAT_H
#define QHTTPREQUEST_COMPAT_H

class QString;

class QHttpRequestHeaderPrivate;

class DECONZ_DLLSPEC QHttpRequestHeader
{
public:
    QHttpRequestHeader();
    /*! Copy constructor. */
    QHttpRequestHeader(const QHttpRequestHeader &other);
    /*! Copy assignment operator. */
    QHttpRequestHeader& operator=(const QHttpRequestHeader &other);
    QHttpRequestHeader(const QString &str);
    QHttpRequestHeader(const QString &method, const QString &path);
    ~QHttpRequestHeader();
    bool hasKey(const QString &key) const;
    int contentLength() const;
    const QString &path() const;
    const QString &method() const;
    const QString &value(const QString &key) const;
    void setRequest(const QString &method, const QString &path);


private:
    QHttpRequestHeaderPrivate *d_ptr;
};

#endif // QHTTPREQUEST_COMPAT_H

